Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.selftest
Class BackgroundImageExtractionSelfTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.archive.crawler.selftest.SelfTestCase
                  org.archive.crawler.selftest.BackgroundImageExtractionSelfTestCase

All Implemented Interfaces:
  junit.framework.Test

    public class BackgroundImageExtractionSelfTestCase

extends SelfTestCase

Test the crawler can find background images in pages.

Version:
  $Id: BackgroundImageExtractionSelfTestCase.java 4931 2007-02-21 18:48:17Z gojomo $
Author:
  stack

Field Summary

Fields inherited from class org.archive.crawler.selftest.SelfTestCase
`SELFTEST`

Constructor Summary
`BackgroundImageExtractionSelfTestCase()`

Method Summary
`void` | `stestBackgroundImageExtraction()` Read ARC file for the background image the file that contained it.

Methods inherited from class org.archive.crawler.selftest.SelfTestCase
`assertExists, assertInitialized, assertNonEmpty, fileExists, filesExist, filesFoundInArc, getArcFiles, getCrawlJob, getCrawlJobDir, getHtdocs, getLogsDir, getMetaDatas, getReadReaders, getSelftestURL, getSelftestURLWithTrailingSlash, getTestName, initialize, testFilesInArc, testFilesInArc, testNothing`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BackgroundImageExtractionSelfTestCase

    public BackgroundImageExtractionSelfTestCase()

Method Detail

### stestBackgroundImageExtraction

    public void stestBackgroundImageExtraction()

  Read ARC file for the background image the file that contained it. Look that there is only one instance of the background image in the ARC and that it is of the same size as the image in the webapp dir.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.